indexing
	description: "Options that take arbritrary string arguments"
	author: "Bernd Schoeller"
	copyright: "(c) 2006 Bernd Schoeller (bernd@fams.de)"
	license: "see included README.txt file"
	date: "$Date: 2006/03/27 08:22:34 $"
	revision: "$Revision: 1.3 $"

class OP_STRING_OPTION

inherit
	
	OP_OPTION_WITH_PARAMETER [STRING]

create

	make,
	make_with_long_form,
	make_with_short_form
		

feature -- Access
		
	parameters: DS_LIST [STRING]
		-- List of parameters that were give to this option

feature {OP_PARSER} -- Parser Interface

	reset is
			-- Reset the option to a clean state before parsing.
		do
			create {DS_LINKED_LIST [STRING]} parameters.make
		end

	record_occurrence (a_parser: OP_PARSER) is
			-- This option was found during parsing by `a_parser'.
		do
			parameters.force_last (a_parser.last_option_parameter)
		end

end
